scala.collection.mutable
trait SetProxy

[source: `scala/collection/mutable/SetProxy.scala`]

`` `trait` SetProxy[A]
  `extends` Set[A]`with` SetProxy[A]

  This is a simple wrapper class for `scala.collection.mutable.Set`. It is most useful for assembling customized set abstractions dynamically using object composition and forwarding.

Author
  Matthias Zenger
Version
  1.1, 09/05/2004

Method Summary
`override def` | ++= (it : Iterator[A]) : Unit Add all the elements provided by an iterator `elems` to the set.
`override def` | ++= (that : Iterable[A]) : Unit Add all the elements provided by an iterator of the iterable object `that` to the set.
`def` | += (elem : A) : Unit Add a new element to the set.
`override def` | --= (it : Iterator[A]) : Unit Remove all the elements provided by an iterator `elems` from the set.
`override def` | --= (that : Iterable[A]) : Unit Remove all the elements provided by an iterator of the iterable object `elems` from the set.
`def` | -= (elem : A) : Unit Removes a single element from a set.
`override def` | << (cmd : Message[A]) : Unit Send a message to this scriptable object.
`override def` | clear : Unit Removes all elements from the set. After this operation is completed, the set will be empty.
`override def` | clone : Set[A] Return a clone of this set.
`override def` | excl (elems : A*) : Unit `excl` removes many elements from the set.
`override def` | incl (elems : A*) : Unit `incl` can be used to add many elements to the set at the same time.
`override def` | intersect (that : Set[A]) : Unit This method computes an intersection with set `that`. It removes all the elements that are not present in `that`.
`override def` | retain (p : (A) => Boolean) : Unit Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`
`abstract def` | self : Set[A]
`override def` | update (elem : A, included : Boolean) : Unit This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:
    set(elem) = true

Methods inherited from SetProxy
size, isEmpty, contains, subsetOf

Methods inherited from IterableProxy
elements, concat, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, copyToBuffer, toList, mkString, addString

Methods inherited from Proxy
hashCode, equals, toString

Methods inherited from Set
+=, +, +, ++, ++, -=, -, -, --, --, readOnly

Methods inherited from Set
apply, *, **, toArray, stringPrefix

Methods inherited from Iterable
++, partition, toStream, mkString, mkString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` self : Set[A]

Overrides
  SetProxy.self

`override` `def` update(elem : A, included : Boolean) : Unit

  This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

      set(elem) = true

Overrides
  Set.update

`` `def` +=(elem : A) : Unit

  Add a new element to the set.

Parameters
  `elem -` the element to be added

Overrides
  Set.+=

`override` `def` ++=(that : Iterable[A]) : Unit

  Add all the elements provided by an iterator of the iterable object `that` to the set.

Parameters
  `elems -` the iterable object containing the elements to be added

Overrides
  Set.++=

`override` `def` ++=(it : Iterator[A]) : Unit

  Add all the elements provided by an iterator `elems` to the set.

Parameters
  `elems -` the iterator containing the elements to be added

Overrides
  Set.++=

`override` `def` incl(elems : A*) : Unit

  `incl` can be used to add many elements to the set at the same time.

Deprecated
  use `++=` instead

Overrides
  Set.incl

`` `def` -=(elem : A) : Unit

  Removes a single element from a set.

Parameters
  `elem -` The element to be removed.

Overrides
  Set.-=

`override` `def` --=(that : Iterable[A]) : Unit

  Remove all the elements provided by an iterator of the iterable object `elems` from the set.

Overrides
  Set.--=

`override` `def` --=(it : Iterator[A]) : Unit

  Remove all the elements provided by an iterator `elems` from the set.

Overrides
  Set.--=

`override` `def` excl(elems : A*) : Unit

  `excl` removes many elements from the set.

Overrides
  Set.excl

`override` `def` intersect(that : Set[A]) : Unit

  This method computes an intersection with set `that`. It removes all the elements that are not present in `that`.

Parameters
  `that -` the set to intersect with.

Overrides
  Set.intersect

`override` `def` clear : Unit

  Removes all elements from the set. After this operation is completed, the set will be empty.

Overrides
  Set.clear

`override` `def` retain(p : (A) => Boolean) : Unit

  Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`

Overrides
  Set.retain

`override` `def` <<(cmd : Message[A]) : Unit

  Send a message to this scriptable object.

Parameters
  `cmd -` the message to send.
Throws
  `<code>Predef.UnsupportedOperationException</code> -` if the message was not understood.

Overrides
  Set.<<

`override` `def` clone : Set[A]

  Return a clone of this set.

Returns
  a set with the same elements.

Overrides
  Set.clone